package org.project.entity.players;

import org.project.entity.Entity;
import org.project.location.GameDisplay;

public class Wizard extends Player
{
    public Wizard (String name) { super(name , 60, 40,0); }

    @Override
    public void specialAbility(Entity target)
    {
        if (this.getMp() >= 8)
        {
            super.specialAbility(target);
            this.setMp(this.getMp() - 8);
            System.out.println(GameDisplay.CYAN + "Amazing magic is comingggg, Bibbidi bobbidi boooooooo ⭐🪄" + GameDisplay.RESET);
            target.takeDamage(10);
        }
        else System.out.println(GameDisplay.RED + "Wizard does not have enough MP to use special ability 😓" + GameDisplay.RESET);
    }
}
